Loading...
Searching...
No Matches
GridBlindMetaData Struct Reference

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions

void | setBlindData (void *ptr)
template<typename T>
const T * | getBlindData () const

## Static Public Member Functions

static uint64_t | memUsage (uint64_t blindDataCount=0)
| return memory usage in bytes for the class (note this computes for all blindMetaData structures.)

## Public Attributes

int64_t | mByteOffset
uint64_t | mElementCount
uint32_t | mFlags
GridBlindDataSemantic | mSemantic
GridBlindDataClass | mDataClass
GridType | mDataType
char | mName [MaxNameSize]

## Static Public Attributes

static const int | MaxNameSize = 256

## Member Function Documentation

## getBlindData()

template<typename T>

const T * getBlindData | ( |  | ) | const

inline

## memUsage()

uint64_t memUsage | ( | uint64_t | blindDataCount = 0 | ) |

inline static

return memory usage in bytes for the class (note this computes for all blindMetaData structures.)

## setBlindData()

void setBlindData | ( | void * | ptr | ) |

inline

## Member Data Documentation

## MaxNameSize

const int MaxNameSize = 256

static

## mByteOffset

int64_t mByteOffset

## mDataClass

GridBlindDataClass mDataClass

## mDataType

GridType mDataType

## mElementCount

uint64_t mElementCount

## mFlags

uint32_t mFlags

## mName

char mName[MaxNameSize]

## mSemantic

GridBlindDataSemantic mSemantic